@use '../../../global/styles/styles-variables' as *;
@use './styles/form-receipt.variables' as *;
@use '../../../global/styles/utilities' as *;

:host {
  $base: '.digi-form-receipt';
	@include digi-form-receipt--variables;

	#{$base} {
		background-color: var(--digi--receipt--background-color);
		display: grid;
		padding-top: var(--digi--receipt--padding-top);
		padding-bottom: var(--digi--receipt--padding-bottom);

		@media (min-width: $digi--breakpoint--large) {
			padding-top: var(--digi--receipt--padding-top--desktop);
			padding-bottom: var(--digi--receipt--padding-bottom--desktop);
		}

		&--grid {
			padding-left: var(--digi--receipt--padding-horizontal);
			padding-right: var(--digi--receipt--padding-horizontal);
		}

		&--center {
			#{$base}__content {
				display: flex;
				flex-direction: column;
				align-items: center;
			}
		}

		&__content {
			grid-column: 1;
			grid-row: 1;
		}

		&__heading {
			font-family: var(--digi--receipt--heading--font-family);
			font-size: var(--digi--receipt--heading--font-size);
			font-weight: var(--digi--receipt--heading--font-weight);
			margin-top: 0;
			margin-bottom: 0;
			display: block;
			color: var(--digi--receipt--heading--color);

			@media (min-width: $digi--breakpoint--large) {
				font-size: var(--digi--receipt--heading--font-size--desktop);
				font-weight: var(--digi--receipt--heading--font-weight--desktop);
			}
		}

		&__icon {
			width: #{rem(34)};
			height: #{rem(28)};
			margin-bottom: var(--digi--receipt--margin);
			@media (min-width: $digi--breakpoint--large) {
				width: #{rem(44)};
				height: #{rem(36)};
			}
		}
	}
}
